Bug 53489 - [RFE] confusing error message when scp to non-existant dir
Summary: [RFE] confusing error message when scp to non-existant dir
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: openssh (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
low
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-10 14:10 UTC by James Manning
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-31 11:54:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description James Manning 2001-09-10 14:10:47 UTC
Description of Problem:
trying to scp to non-existant remote dir, confusing error message "Is a 
directory" instead of something like "No such file or directory"

jmm@jmm:/tmp> scp x.x localhost:/tmp/f00bar/
jmm@localhost's password:
scp: /tmp/f00bar/: Is a directory

Version-Release number of selected component (if applicable):
jmm@jmm:/tmp> rpm -qf $(which scp)
openssh-2.9p2-6

How Reproducible:
100%

Comment 1 James Manning 2002-05-17 16:43:18 UTC
still present in 7.3

jmm@jmm /tmp> rpm -qf $(which scp)
openssh-3.1p1-3
jmm@jmm /tmp> touch x.x
jmm@jmm /tmp> ls -ld /tmp/fooadf
ls: /tmp/fooadf: No such file or directory
jmm@jmm /tmp> scp x.x localhost:/tmp/fooadf/
jmm@localhost's password:
scp: /tmp/fooadf/: Is a directory

Comment 2 Tomas Mraz 2005-03-31 11:54:37 UTC
Report the bug upstream into http://bugzilla.mindrot.org/



Note You need to log in before you can comment on or make changes to this bug.